# Jumpup-stats
[![RubyGems][gem_version_badge]][ruby_gems]

Some rake tasks to gather project data and statistics. The goal is to collect these data and commit it in the repository so it can be easily found anytime. It should be used along with [Jumpup](https://github.com/Helabs/jumpup).

## Instalation

Add to your gem file.

```ruby
 group :development do
   #...
   gem 'jumpup-stats'
 end
```

## Usage

1. Add the `jumpup:stats` to your task list (jumpup.rake), right before the `jumpup:finish` task:

  ```ruby
  # jumpup.rake

  INTEGRATION_TASKS = %w(
    #...
    jumpup:stats
    jumpup:finish
  )
  ```

### Quality check

Jumpup-stats has included some tasks to check quality. Just run `$ rake quality:check`.

## Versioning

Jumpup-stats follow the [Semantic Versioning](http://semver.org/).

## Issues

If you have problems, please create a [Github Issue](https://github.com/Helabs/jumpup-stats/issues).

## Contributing

Please see [CONTRIBUTING.md](https://github.com/Helabs/jumpup-stats/blob/master/CONTRIBUTING.md) for details.

## Release

Follow this steps to release a new version of the gem.

1. Test if everything is running ok;
1. Change version of the gem on `VERSION` constant;
1. Add the release date on the `CHANGELOG`;
1. Do a commit "Bump version x.x.x", follow the semantic version;
1. Run `$ rake release`, this will send the gem to the rubygems;
1. Check if the gem is on the rubygems and the tags are correct on the github;

## Credits

Jumpup-stats is maintained and funded by [HE:labs](http://helabs.com.br/opensource/).
Thank you to all the [contributors](https://github.com/Helabs/jumpup-stats/graphs/contributors).

[gem_version_badge]: https://badge.fury.io/rb/jumpup-stats.png
[ruby_gems]: http://rubygems.org/gems/jumpup-stats
